Bearer token obtained from the authenticate endpoint.
Response
List of database integrations available for querying.
curl -X GET https://api.trellis.sh/v1/integrations \
-H "Authorization: Bearer YOUR_TOKEN"
import requests
response = requests.get(
"https://api.trellis.sh/v1/integrations",
headers={"Authorization": "Bearer YOUR_TOKEN"}
)
integrations = response.json()["integrations"]
const response = await fetch("https://api.trellis.sh/v1/integrations", {
headers: { Authorization: "Bearer YOUR_TOKEN" },
});
const { integrations } = await response.json();
{
"integrations": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"display_name": "Production Analytics DB",
"type": "database"
},
{
"id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"display_name": "Reporting Database",
"type": "database"
}
]
}
{
"detail": "Invalid or expired token"
}